LibreOffice: ChartTypeTemplate Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
ChartTypeTemplate Service Reference

`import <ChartTypeTemplate.idl;`

Inheritance diagram for ChartTypeTemplate:

## Exported Interfaces
interface | ::com::sun::star::chart2::XChartTypeTemplate

## Additional Inherited Members
Public Member Functions inherited from XChartTypeTemplate
XDiagram | createDiagramByDataSource ([in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| Creates a new diagram based upon the given data .
boolean | supportsCategories ()
void | changeDiagram ([in] XDiagram xDiagram)
| Analyses the given diagram and reinterprets its DataSeries and Categories and creates a new diagram based on these series.
void | changeDiagramData ([in] XDiagram xDiagram, [in] com::sun::star::chart2::data::XDataSource xDataSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| Changes the given diagram `xDiagram` by using the new data given in `xDataSource`.
boolean | matchesTemplate ([in] XDiagram xDiagram, [in] boolean bAdaptProperties)
| States whether the given diagram could have been created by the template.
XChartType | getChartTypeForNewSeries ([in] sequence< XChartType > aFormerlyUsedChartTypes)
| Provides a chart type object that can be used to create new series.
com::sun::star::uno::XInterface | getDataInterpreter ()
| This used to have a return type of XDataInterpreter.
void | applyStyle ([in] XDataSeries xSeries, [in] long nChartTypeGroupIndex, [in] long nSeriesIndex, [in] long nSeriesCount)
| Applies a chart-type specific style (e.g.
void | resetStyles ([in] XDiagram xDiagram)
| Resets all styles that were changed from the default at any object in the chart and have not been later modified.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Exported Interfaces

## ◆ ::com::sun::star::chart2::XChartTypeTemplate

interface ::com::sun::star::chart2::XChartTypeTemplate

The documentation for this service was generated from the following file:

- com/sun/star/chart2/ChartTypeTemplate.idl